import { ScatterBase } from "./ScatterBase";
import { IScaleLegendSeries } from "igniteui-react-core";
import { ISupportsSizeScale } from "./ISupportsSizeScale";
import { ISupportsFillScale } from "./ISupportsFillScale";
import { Rect } from "igniteui-react-core";
import { IFastItemColumn$1 } from "igniteui-react-core";
import { List$1 } from "igniteui-react-core";
import { UIElement } from "igniteui-react-core";
import { Type } from "igniteui-react-core";
import { ActualRange } from "./ActualRange";
import { SizeScale } from "./SizeScale";
import { BrushScale } from "./BrushScale";
import { SeriesView } from "./SeriesView";
import { MarkerFillMode } from "./MarkerFillMode";
import { ScatterFrame } from "./ScatterFrame";
import { IChartLegend } from "igniteui-react-core";
import { Brush } from "igniteui-react-core";
import { ScatterBaseView } from "./ScatterBaseView";
import { FastItemsSourceEventAction } from "igniteui-react-core";
import { Marker } from "./Marker";
import { BrushSelectionMode } from "./BrushSelectionMode";
import { MarkerManagerBase } from "./MarkerManagerBase";
/**
 * @hidden
 */
export declare class BubbleSeries extends ScatterBase implements IScaleLegendSeries, ISupportsSizeScale, ISupportsFillScale {
    static $t: Type;
    protected bp(): SeriesView;
    kk(a: SeriesView): void;
    sy: BubbleSeriesView;
    protected fr(): number;
    oc(): MarkerFillMode;
    constructor();
    private ub;
    private ua;
    isAttachedTo(a: IChartLegend): boolean;
    protected cv(): boolean;
    protected jx(a: (arg1: any) => void): void;
    readonly s4: IFastItemColumn$1<number>;
    ta: List$1<UIElement>;
    private t9;
    readonly legendReady: boolean;
    readonly minScaleText: string;
    readonly maxScaleText: string;
    forScaleColors(a: (arg1: Brush, arg2: number) => void): boolean;
    tr: string;
    gt(a: any, b: string): any;
    s6: IFastItemColumn$1<number>;
    private s2;
    sz: SizeScale;
    tl: string;
    private s1;
    s5: IFastItemColumn$1<any>;
    tg: string;
    sx: BrushScale;
    private s0;
    s3: IFastItemColumn$1<number>;
    s7: boolean;
    s8: boolean;
    te: number;
    td: number;
    s9: boolean;
    rm(a: ScatterBaseView, b: ScatterFrame, c: number, d: Rect, e: Rect): void;
    ru(a: ScatterFrame, b: ScatterBaseView): void;
    private tw;
    static tb(a: number, b: number, c: number, d: number, e: number): number;
    static tc(a: number, b: number, c: number, d: number, logBase_: number, e: number): number;
    ec(a: Rect, b: Rect, c: SeriesView): boolean;
    protected qr(a: string, b: FastItemsSourceEventAction): boolean;
    private tv;
    protected jo(a: FastItemsSourceEventAction, b: number, c: number, d: string): void;
    j4(): void;
    j9(): void;
    protected kp(a: any, b: string, c: any, d: any): void;
    updateSizeScaleGlobals(): void;
    updateFillScaleGlobals(): void;
    sw(a: SizeScale): ActualRange;
    sv(): ActualRange;
    ty(a: List$1<Marker>, b: List$1<number>, c: Rect, d: boolean): void;
    tx(a: List$1<Marker>): void;
    protected get_dd(): boolean;
    readonly actualMarkerBrush: Brush;
    static $$p: string[];
}
/**
 * @hidden
 */
export declare class CustomPaletteBrushScale extends BrushScale {
    static $t: Type;
    constructor();
    brushSelectionMode: BrushSelectionMode;
    getBrush1(a: number, b: number): Brush;
    protected get_isReady(): boolean;
    static $$p: string[];
}
/**
 * @hidden
 */
export declare class BubbleSeriesView extends ScatterBaseView {
    static $t: Type;
    protected df: BubbleSeries;
    constructor(a: BubbleSeries);
    as(): void;
    protected cu(): MarkerManagerBase;
    dh(): void;
    di(): void;
    dg(): void;
    getDefaultTooltipTemplate(): string;
}
